KSambaShare Class Reference

`#include <ksambashare.h>`

Inherits QObject.

## Signals

void | changed ()

## Public Member Functions

bool | isDirectoryShared (const QString &path) const
QStringList | sharedDirectories () const
virtual | ~KSambaShare ()
QString | smbConfPath () const

## Static Public Member Functions

static KSambaShare * | instance ()

## Detailed Description

Similar functionality like KFileShare, but works only for Samba and do not need any suid script.

Singleton class, call instance() to get an instance.

Definition at line 34 of file ksambashare.h.

## Constructor & Destructor Documentation

KSambaShare::~KSambaShare | ( |  | ) |

virtual

KSambaShare destructor.

Do not call! The instance is destroyed automatically!

Definition at line 189 of file ksambashare.cpp.

## Member Function Documentation

void KSambaShare::changed | ( |  | ) |

signal

Emitted when the smb.conf file has changed.

KSambaShare * KSambaShare::instance | ( |  | ) |

static

Returns the one and only instance of KSambaShare.

Definition at line 231 of file ksambashare.cpp.

bool KSambaShare::isDirectoryShared | ( | const QString & | path | ) | const

Whether or not the given path is shared by Samba.

Parameters

  path | the path to check if it is shared by Samba.

Returns
  whether the given path is shared by Samba.

Definition at line 201 of file ksambashare.cpp.

QStringList KSambaShare::sharedDirectories | ( |  | ) | const

Returns a list of all directories shared by Samba.

The resulting list is not sorted.

Returns
  a list of all directories shared by Samba.

Definition at line 209 of file ksambashare.cpp.

QString KSambaShare::smbConfPath | ( |  | ) | const

Returns the path to the used smb.conf file or null if no file was found.

Definition at line 197 of file ksambashare.cpp.

The documentation for this class was generated from the following files:

- ksambashare.h
- ksambashare.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys